# TdApi.SetForumTopicNotificationSettings (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetForumTopicNotificationSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetForumTopicNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetForumTopicNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.SetForumTopicNotificationSettings extends TdApi.Function<TdApi.Ok>
Changes the notification settings of a forum topic. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageThreadId`
Message thread identifier of the forum topic.
`TdApi.ChatNotificationSettings`
`notificationSettings`
New notification settings for the forum topic.

## Constructor Summary

Constructors
Constructor
Description
`SetForumTopicNotificationSettings()`
Changes the notification settings of a forum topic.
`SetForumTopicNotificationSettings(long chatId, long messageThreadId, TdApi.ChatNotificationSettings notificationSettings)`
Changes the notification settings of a forum topic.
`SetForumTopicNotificationSettings(DataInput input)`
Changes the notification settings of a forum topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
Message thread identifier of the forum topic.

### notificationSettings

public TdApi.ChatNotificationSettings notificationSettings
New notification settings for the forum topic. If the topic is muted for more than 366 days, it is considered to be muted forever.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetForumTopicNotificationSettings

public SetForumTopicNotificationSettings()
Changes the notification settings of a forum topic. Returns `Ok`

### SetForumTopicNotificationSettings

public SetForumTopicNotificationSettings(long chatId, long messageThreadId, TdApi.ChatNotificationSettings notificationSettings)
Changes the notification settings of a forum topic. Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `messageThreadId` - long Message thread identifier of the forum topic.
  `notificationSettings` - ChatNotificationSettings New notification settings for the forum topic. If the topic is muted for more than 366 days, it is considered to be muted forever.

### SetForumTopicNotificationSettings

public SetForumTopicNotificationSettings(DataInput input) throws IOException
Changes the notification settings of a forum topic. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`